JEIEvents.hideItems(event => {
    event.hide([
        /^chipped:.*/,
        /^chisel:.*/,
        /^botanypots:.*/,
        /^botanypotstiers:.*/,
        /ae2:facade/,
        'twilightforest:uncrafting_table',
        'cyclic:uncrafter',
        'avaritia:singularity',
        'avaritia:eternal_singularity',
        'avaritia:neutron_compressor',
        'avaritia:crystal_pickaxe',
        'avaritia:neutron_ring',
        'avaritia:infinity_totem',
        'avaritia:infinity_ring',
        'avaritia:infinity_umbrella',
        'avaritia:extreme_crafting_table',
        'cyclic:fireball_dark',
        'cyclic:fireball',
        'storagedrawers:creative_vending_upgrade',
        'avaritia:infinity_bucket',
        'avaritia:extreme_anvil',
        'avaritia:neutron_horse_armor',
        'avaritia:star_fuel',
        'avaritia:refined_coal',
        'avaritia:full_matter_cluster',
        'avaritia:black_hole_chest',
        'avaritia:infinity_crossbow',
        'avaritia:densest_neutron_compressor',
        'avaritia:denser_neutron_compressor',
        'avaritia:dense_neutron_compressor',
        'avaritia:star_fuel_block',
        'avaritia:refined_coal_block',
        Item.of('avaritia:infinity_upgrade', '{Damage:0}'),
        Item.of('avaritia:infinity_clock', '{mode:{}}'),
        Item.of('ironjetpacks:jetpack', {Id: "ironjetpacks:creative", Throttle: 1.0}).strongNBT(),
        Item.of('ironjetpacks:capacitor', {Id: "ironjetpacks:creative"}).strongNBT(),
        Item.of('ironjetpacks:thruster', {Id: "ironjetpacks:creative"}).strongNBT(),
        Item.of('ironjetpacks:cell', {Id: "ironjetpacks:creative"}).strongNBT(),
        Item.of('extendedcrafting:recipe_maker', '{Shapeless:0b,Type:"CraftTweaker"}'),
        Item.of('extendedcrafting:recipe_maker', '{Shapeless:0b,Type:"Datapack"}'),
        Item.of('avaritia:crystal_sword', '{Damage:0}'),
        Item.of('avaritia:crystal_hoe', '{Damage:0}'),
        Item.of('avaritia:crystal_shovel', '{Damage:0}'),
        Item.of('avaritia:crystal_axe', '{Damage:0}')
    ])
  })

JEIEvents.addItems(event => {
    event.add([
        Item.of('ae2:facade', '{item:"minecraft:stone"}'),
        Item.of('chipped:botanist_workbench'),
        Item.of('chipped:glassblower'),
        Item.of('chipped:carpenters_table'),
        Item.of('chipped:loom_table'),
        Item.of('chipped:mason_table'),
        Item.of('chipped:alchemy_bench'),
        Item.of('chipped:alchemy_bench'),
        Item.of('chisel:chisel'),
        Item.of('botanypots:terracotta_hopper_botany_pot'),
        Item.of('botanypotstiers:elite_terracotta_hopper_botany_pot'),
        Item.of('botanypotstiers:ultra_terracotta_hopper_botany_pot'),
        Item.of('botanypotstiers:creative_terracotta_hopper_botany_pot')

    ])
})


